import React,{ Component } from 'react';
require('./index.scss');

export default class extends Component{
    constructor(props){
        super(props);
        this.onBlurHandler = this.onBlurHandler.bind(this);
        this.onFocusHandler = this.onFocusHandler.bind(this);
        this.onChangeHandler = this.onChangeHandler.bind(this);
    }

    onFocusHandler(e) {
        this.searchDom.style.borderColor = '#4aa8ff';
        this.inDom.placeholder = '';
    }

    onBlurHandler(e) {
        this.searchDom.style.borderColor = '#CCC';
        if(!this.inDom.value) {
            this.inDom.placeholder = '搜索职位';
        }
        this.props.onBlurHandler && this.props.onBlurHandler(this.inDom.value);
    }

    onChangeHandler(e) {
        this.props.onChangeHandler && this.props.onChangeHandler(this.inDom.value);
    }

    render(){
        return (
            <div className='search-container'>
                <div className='search' ref={search => {this.searchDom = search}}>
                    <div className='icon'></div>
                    <input ref={input => {this.inDom = input}}
                           className='content'
                           placeholder='搜索职位'
                           onFocus={this.onFocusHandler}
                           onBlur={this.onBlurHandler}
                           onChange={this.onChangeHandler}
                           />
                </div>
            </div>
        )
    }
}

